Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.format.output.pstricks
Class PstricksFormatter.DrawingFormatter

    java.lang.Object
      jpicedt.format.output.pstricks.PstricksFormatter.DrawingFormatter

All Implemented Interfaces:
  Formatter

Enclosing class:
  PstricksFormatter

public class PstricksFormatter.DrawingFormatter
extends Object
implements Formatter

"begin{pspicture}(x0,y0)(x1,y1)" (PsTricks) where (x0,y0)=lower-left corner and (x1,y1)=upper-right corner

Constructor Summary
`PstricksFormatter.DrawingFormatter(Drawing drawing, Object outputConstraint)` init this formatter for the given drawing

Method Summary
`String` | `format()` Create a String representing an Element in the format of this formatter

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PstricksFormatter.DrawingFormatter

    public PstricksFormatter.DrawingFormatter(Drawing drawing,
                                              Object outputConstraint)

  init this formatter for the given drawing

Parameters:
  `outputConstraint` - if MAKE_STANDALONE_FILE, prepend/append prolog and epilog.

Method Detail

### format

    public String format()

  Description copied from interface: `Formatter`
  Create a String representing an Element in the format of this formatter

  Specified by:
    `format` in interface `Formatter`
  Returns:
    a String representing this Drawing in the PsTricks format !!! PsTricks's default unit = 1cm !!!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org